function OnPlayerSpawned( player_entity ) -- This runs when player entity has been created
	local key = "TINY_GHOST_SUMMON_MOD_INITIALIZED"
	if (GlobalsGetValue(key) == "true") then
		return
	end
	GlobalsSetValue(key, "true")

	local x, y = EntityGetTransform(player_entity)
	local ghost = EntityLoad("data/entities/animals/tiny_ghost_summon.xml", x, y)
	EntityLoad( "data/entities/particles/tiny_ghost_poof.xml", x, y )
	EntityAddChild(player_entity, ghost)
end